<?php

namespace WhichBrowser\Data;

DeviceModels::$KDDI_MODELS = [
    'KC3Q'                                 => [ 'iida', 'misora' ],                            // KYX02 by Kyocera
    'KC3S'                                 => [ 'iida', 'PRISMOID' ],                          // KYX03 by Kyocera
    'KC3V'                                 => [ 'iida', 'lotta' ],                             // KYX04 by Kyocera
    'ST22'                                 => [ 'iida', 'INFOBAR' ],                           // A5307ST by Sanyo
    'ST33'                                 => [ 'iida', 'INFOBAR 2' ],                         // W55SA by Sanyo
    'SN3K'                                 => [ 'iida', 'G9' ],                                // SOX01 by Sony Ericsson
    'SN3T'                                 => [ 'iida', 'G11' ],                               // SOX02 by Sony Ericsson
    'TS3Q'                                 => [ 'iida', 'PLY' ],                               // TSX04 by Toshiba
    'TS3U'                                 => [ 'iida', 'LIGHT POOL' ],                        // by Toshiba
    'TS3W'                                 => [ 'iida', 'X-RAY' ],                             // by Toshiba

    'CA11'                                 => [ 'Casio', 'C303CA' ],
    'CA12'                                 => [ 'Casio', 'C311CA' ],
    'CA13'                                 => [ 'Casio', 'C409CA' ],
    'CA14'                                 => [ 'Casio', 'C452CA' ],
    'CA21'                                 => [ 'Casio', 'A3012CA' ],
    'CA22'                                 => [ 'Casio', 'A5302CA' ],
    'CA23'                                 => [ 'Casio', 'A5401CA' ],
    'CA24'                                 => [ 'Casio', 'A5403CA' ],
    'CA25'                                 => [ 'Casio', 'A5406CA' ],
    'CA26'                                 => [ 'Casio', 'A5407CA' ],
    'CA27'                                 => [ 'Casio', 'A5512CA' ],
    'CA28'                                 => [ 'Casio', 'GzOne Type-R A5513CA' ],
    'CA31'                                 => [ 'Casio', 'W21CA' ],
    'CA32'                                 => [ 'Casio', 'W31CA' ],
    'CA33'                                 => [ 'Casio', 'W41CA' ],
    'CA34'                                 => [ 'Casio', 'W42CA' ],
    'CA35'                                 => [ 'Casio', 'W43CA' ],
    'CA36'                                 => [ 'Casio', 'E03CA' ],
    'CA37'                                 => [ 'Casio', 'W51CA' ],
    'CA38'                                 => [ 'Casio', 'W52CA' ],
    'CA39'                                 => [ 'Casio', 'W53CA' ],
    'CA3A'                                 => [ 'Casio', 'W61CA' ],
    'CA3B'                                 => [ 'Casio', 'W62CA' ],
    'CA3C'                                 => [ 'Casio', 'W63CA' ],
    'CA3D'                                 => [ 'Casio', 'CA001' ],
    'CA3E'                                 => [ 'Casio', 'CA002' ],
    'CA3F'                                 => [ 'Casio', 'CA003' ],
    'CA3G'                                 => [ 'Casio', 'CA004' ],
    'CA3H'                                 => [ 'Casio', 'CA005' ],
    'CA3I'                                 => [ 'Casio', 'GzOne Type-X CAY01' ],
    'CA3J'                                 => [ 'Casio', 'CA006' ],
    'CA3K'                                 => [ 'Casio', 'CA007' ],
    'DN01'                                 => [ 'Denso', 'C202DE' ],
    'DN11'                                 => [ 'Denso', 'C402DE' ],
    'ERK0'                                 => [ 'Ericsson', 'R280' ],
    'FJ31'                                 => [ 'Fujitsu', 'F001' ],
    'HI01'                                 => [ 'Hitachi', 'C201H' ],
    'HI02'                                 => [ 'Hitachi', 'C201H' ],
    'HI11'                                 => [ 'Hitachi', 'C302H' ],
    'HI12'                                 => [ 'Hitachi', 'C309H' ],
    'HI13'                                 => [ 'Hitachi', 'C407H' ],
    'HI14'                                 => [ 'Hitachi', 'C451H' ],
    'HI21'                                 => [ 'Hitachi', 'C3001H' ],
    'HI23'                                 => [ 'Hitachi', 'A5303H' ],
    'HI24'                                 => [ 'Hitachi', 'A5303H II' ],
    'HI31'                                 => [ 'Hitachi', 'W11H' ],
    'HI32'                                 => [ 'Hitachi', 'W21H' ],
    'HI33'                                 => [ 'Hitachi', 'W22H' ],
    'HI34'                                 => [ 'Hitachi', 'PENCK W31H' ],
    'HI35'                                 => [ 'Hitachi', 'W32H' ],
    'HI36'                                 => [ 'Hitachi', 'W41H' ],
    'HI37'                                 => [ 'Hitachi', 'W42H' ],
    'HI38'                                 => [ 'Hitachi', 'W43H' ],
    'HI39'                                 => [ 'Hitachi', 'W51H' ],
    'HI3A'                                 => [ 'Hitachi', 'W52H' ],
    'HI3B'                                 => [ 'Hitachi', 'W53H' ],
    'HI3C'                                 => [ 'Hitachi', 'W61H' ],
    'HI3D'                                 => [ 'Hitachi', 'W62H' ],
    'HI3E'                                 => [ 'Hitachi', 'W63H' ],
    'HI3F'                                 => [ 'Hitachi', 'H001' ],                           // HI001
    'HI3G'                                 => [ 'Hitachi', 'Mobile Hi-Vision CAM Wooo HIY01' ],
    'HI3H'                                 => [ 'Hitachi', 'beskey HIY02' ],
    'KC11'                                 => [ 'Kyocera', 'C307K' ],
    'KC12'                                 => [ 'Kyocera', 'C313K' ],
    'KC13'                                 => [ 'Kyocera', 'C414K' ],
    'KC14'                                 => [ 'Kyocera', 'A1012K' ],
    'KC15'                                 => [ 'Kyocera', 'A1013K' ],
    'KC21'                                 => [ 'Kyocera', 'C3002K' ],
    'KC22'                                 => [ 'Kyocera', 'A5305K' ],
    'KC23'                                 => [ 'Kyocera', 'A1401K' ],
    'KC24'                                 => [ 'Kyocera', 'A5502K' ],
    'KC25'                                 => [ 'Kyocera', 'A5502K' ],
    'KC26'                                 => [ 'Kyocera', 'A1403K' ],
    'KC27'                                 => [ 'Kyocera', 'A5515K' ],
    'KC28'                                 => [ 'Kyocera', 'A5521K' ],
    'KC29'                                 => [ 'Kyocera', 'A5526K' ],
    'KC2A'                                 => [ 'Kyocera', 'A5528K' ],
    'KC31'                                 => [ 'Kyocera', 'W11K' ],
    'KC32'                                 => [ 'Kyocera', 'W21K' ],
    'KC33'                                 => [ 'Kyocera', 'W31K' ],
    'KC34'                                 => [ 'Kyocera', 'W32K' ],
    'KC35'                                 => [ 'Kyocera', 'W41K' ],
    'KC36'                                 => [ 'Kyocera', 'W42K' ],
    'KC37'                                 => [ 'Kyocera', 'W43K' ],
    'KC38'                                 => [ 'Kyocera', 'W44K' ],
    'KC39'                                 => [ 'Kyocera', 'W51K' ],
    'KC3A'                                 => [ 'Kyocera', 'MEDIA SKIN W52K' ],
    'KC3B'                                 => [ 'Kyocera', 'W53K/W64K' ],
    'KC3D'                                 => [ 'Kyocera', 'W61K' ],
    'KC3E'                                 => [ 'Kyocera', 'W44K II' ],
    'KC3G'                                 => [ 'Kyocera', 'W62K' ],
    'KC3H'                                 => [ 'Kyocera', 'W63K' ],
    'KC3I'                                 => [ 'Kyocera', 'W65K' ],
    'KC3K'                                 => [ 'Kyocera', 'W63K' ],
    'KC3M'                                 => [ 'Kyocera', 'K001' ],                           // KY001
    'KC3N'                                 => [ 'Kyocera', 'NS01' ],                           // KYX01
    'KC3O'                                 => [ 'Kyocera', 'K002' ],                           // KY002
    'KC3P'                                 => [ 'Kyocera', 'K003' ],                           // KY003
    'KC3R'                                 => [ 'Kyocera', 'SA001' ],
    'KC3T'                                 => [ 'Kyocera', 'E07K' ],
    'KC3U'                                 => [ 'Kyocera', 'K004' ],                           // KY004
    'KC3W'                                 => [ 'Kyocera', 'mamorino' ],                       // KYY01
    'KC3X'                                 => [ 'Kyocera', 'SA002' ],
    'KC3Y'                                 => [ 'Kyocera', 'K005' ],                           // KY005
    'KC3Z'                                 => [ 'Kyocera', 'K006' ],                           // KY006
    'KC41'                                 => [ 'Kyocera', 'K006' ],
    'KC42'                                 => [ 'Kyocera', 'K007' ],                           // KY007
    'KC43'                                 => [ 'Kyocera', 'K008' ],                           // KY008
    'KC44'                                 => [ 'Kyocera', 'mamorino 2' ],                     // KYY02
    'KC45'                                 => [ 'Kyocera', 'K010' ],                           // KY010
    'KC46'                                 => [ 'Kyocera', 'K009' ],                           // KY009
    'KC47'                                 => [ 'Kyocera', 'Mi-Look' ],
    'KC48'                                 => [ 'Kyocera', 'E10K' ],
    'KC4A'                                 => [ 'Kyocera', 'K011' ],
    'KCC1'                                 => [ 'Kyocera', 'D303K' ],
    'KCC2'                                 => [ 'Kyocera', 'D304K' ],
    'KCI1'                                 => [ 'Kyocera', '703G' ],
    'KCI2'                                 => [ 'Kyocera', '702G' ],
    'KCT1'                                 => [ 'Kyocera', 'TK01' ],
    'KCT2'                                 => [ 'Kyocera', 'TK02' ],
    'KCT3'                                 => [ 'Kyocera', 'TK02' ],
    'KCT4'                                 => [ 'Kyocera', 'TK03' ],
    'KCT5'                                 => [ 'Kyocera', 'TK04' ],
    'KCT6'                                 => [ 'Kyocera', 'TK05' ],
    'KCT7'                                 => [ 'Kyocera', 'TK11' ],
    'KCT8'                                 => [ 'Kyocera', 'TK12' ],
    'KCT9'                                 => [ 'Kyocera', 'TK21' ],
    'KCTA'                                 => [ 'Kyocera', 'TK22' ],
    'KCTB'                                 => [ 'Kyocera', 'TK23' ],
    'KCTC'                                 => [ 'Kyocera', 'TK31' ],
    'MA11'                                 => [ 'Panasonic', 'C308P' ],
    'MA12'                                 => [ 'Panasonic', 'C308P' ],
    'MA13'                                 => [ 'Panasonic', 'C408P' ],
    'MA21'                                 => [ 'Panasonic', 'C3003P' ],
    'MA31'                                 => [ 'Panasonic', 'W51P' ],
    'MA32'                                 => [ 'Panasonic', 'W52P' ],
    'MA33'                                 => [ 'Panasonic', 'W61P' ],
    'MA34'                                 => [ 'Panasonic', 'W62P' ],
    'MA35'                                 => [ 'Panasonic', 'P001' ],
    'MAC1'                                 => [ 'Panasonic', 'D305P' ],
    'MAC2'                                 => [ 'Panasonic', 'D305P' ],
    'MAI1'                                 => [ 'Panasonic', '704G' ],
    'MAI2'                                 => [ 'Panasonic', '704G' ],
    'MAT1'                                 => [ 'Panasonic', 'TP01' ],
    'MAT2'                                 => [ 'Panasonic', 'TP01' ],
    'MAT3'                                 => [ 'Panasonic', 'TP11' ],
    'MIT1'                                 => [ 'Mitsubishi', 'TD11' ],
    'PT21'                                 => [ 'Pantech', 'A1405PT' ],
    'PT23'                                 => [ 'Pantech', 'A1407PT' ],
    'PT33'                                 => [ 'Pantech', 'W61PT' ],
    'PT34'                                 => [ 'Pantech', 'W62PT' ],
    'PT35'                                 => [ 'Pantech', 'NS02' ],
    'PT36'                                 => [ 'Pantech', 'PT002' ],
    'SA21'                                 => [ 'Sanyo', 'A3011SA' ],
    'SA22'                                 => [ 'Sanyo', 'A3015SA' ],
    'SA24'                                 => [ 'Sanyo', 'A1302SA' ],
    'SA25'                                 => [ 'Sanyo', 'A1303SA' ],
    'SA26'                                 => [ 'Sanyo', 'A5503SA' ],
    'SA27'                                 => [ 'Sanyo', 'A5505SA' ],
    'SA28'                                 => [ 'Sanyo', 'A1305SA' ],
    'SA29'                                 => [ 'Sanyo', 'A5522SA' ],
    'SA2A'                                 => [ 'Sanyo', 'A5527SA' ],
    'SA31'                                 => [ 'Sanyo', 'W21SA' ],
    'SA32'                                 => [ 'Sanyo', 'W22SA' ],
    'SA33'                                 => [ 'Sanyo', 'W31SA' ],
    'SA34'                                 => [ 'Sanyo', 'W32SA' ],
    'SA35'                                 => [ 'Sanyo', 'W33SA' ],
    'SA36'                                 => [ 'Sanyo', 'W41SA' ],
    'SA37'                                 => [ 'Sanyo', 'E02SA' ],
    'SA38'                                 => [ 'Sanyo', 'W43SA' ],
    'SA39'                                 => [ 'Sanyo', 'W51SA' ],
    'SA3A'                                 => [ 'Sanyo', 'W52SA' ],
    'SA3B'                                 => [ 'Sanyo', 'W54SA' ],
    'SA3C'                                 => [ 'Sanyo', 'W61SA' ],
    'SA3D'                                 => [ 'Sanyo', 'W63SA' ],
    'SA3E'                                 => [ 'Sanyo', 'W64SA' ],
    'SY12'                                 => [ 'Sanyo', 'C401SA' ],
    'SY13'                                 => [ 'Sanyo', 'C405SA' ],
    'SY14'                                 => [ 'Sanyo', 'C412SA' ],
    'SY15'                                 => [ 'Sanyo', 'C1001SA' ],
    'SYC1'                                 => [ 'Sanyo', 'D301SA' ],
    'SYT1'                                 => [ 'Sanyo', 'TS01' ],
    'SYT2'                                 => [ 'Sanyo', 'TS02' ],
    'SYT3'                                 => [ 'Sanyo', 'TS11' ],
    'SYT4'                                 => [ 'Sanyo', 'TS31' ],
    'SH31'                                 => [ 'Sharp', 'W41SH' ],
    'SH32'                                 => [ 'Sharp', 'W51SH' ],
    'SH33'                                 => [ 'Sharp', 'W52SH' ],
    'SH34'                                 => [ 'Sharp', 'W61SH' ],
    'SH35'                                 => [ 'Sharp', 'W62SH' ],
    'SH36'                                 => [ 'Sharp', 'URBANO W63SH' ],
    'SH37'                                 => [ 'Sharp', 'W64SH' ],
    'SH38'                                 => [ 'Sharp', 'SH001' ],
    'SH39'                                 => [ 'Sharp', 'E05SH' ],
    'SH3A'                                 => [ 'Sharp', 'E06SH' ],
    'SH3B'                                 => [ 'Sharp', 'SH002' ],
    'SH3C'                                 => [ 'Sharp', 'Sportio water beat SHY01' ],
    'SH3D'                                 => [ 'Sharp', 'SH003' ],
    'SH3E'                                 => [ 'Sharp', 'SH004' ],
    'SH3F'                                 => [ 'Sharp', 'SH005' ],
    'SH3G'                                 => [ 'Sharp', 'SH006' ],
    'SH3H'                                 => [ 'Sharp', 'SH007' ],
    'SH3I'                                 => [ 'Sharp', 'SH008' ],
    'SH3J'                                 => [ 'Sharp', 'SH009' ],
    'SH3K'                                 => [ 'Sharp', 'SH010' ],
    'SH3L'                                 => [ 'Sharp', 'SH011' ],
    'SN11'                                 => [ 'Sony', 'C305S' ],
    'SN13'                                 => [ 'Sony', 'C406S' ],
    'SN14'                                 => [ 'Sony', 'C404S' ],
    'SN15'                                 => [ 'Sony', 'C413S' ],
    'SN16'                                 => [ 'Sony', 'C413S' ],
    'SN17'                                 => [ 'Sony Ericsson', 'C1002S' ],
    'SN21'                                 => [ 'Sony Ericsson', 'A3014S' ],
    'SN22'                                 => [ 'Sony Ericsson', 'A1101S' ],
    'SN23'                                 => [ 'Sony Ericsson', 'A1301S' ],
    'SN24'                                 => [ 'Sony Ericsson', 'A5402S' ],
    'SN25'                                 => [ 'Sony Ericsson', 'A5404S' ],
    'SN26'                                 => [ 'Sony Ericsson', 'A1402S' ],
    'SN27'                                 => [ 'Sony Ericsson', 'A1402S II' ],
    'SN28'                                 => [ 'Sony Ericsson', 'A1402S II' ],
    'SN29'                                 => [ 'Sony Ericsson', 'A1404S' ],
    'SN31'                                 => [ 'Sony Ericsson', 'W21S' ],
    'SN32'                                 => [ 'Sony Ericsson', 'W31S' ],
    'SN33'                                 => [ 'Sony Ericsson', 'W32S' ],
    'SN34'                                 => [ 'Sony Ericsson', 'W41S' ],
    'SN35'                                 => [ 'Sony Ericsson', 'EZ FeliCa W32S' ],
    'SN36'                                 => [ 'Sony Ericsson', 'W42S' ],
    'SN37'                                 => [ 'Sony Ericsson', 'W43S' ],
    'SN38'                                 => [ 'Sony Ericsson', 'W44S' ],
    'SN39'                                 => [ 'Sony Ericsson', 'W51S' ],
    'SN3A'                                 => [ 'Sony Ericsson', 'W52S' ],
    'SN3B'                                 => [ 'Sony Ericsson', 'W53S' ],
    'SN3C'                                 => [ 'Sony Ericsson', 'W54S' ],
    'SN3D'                                 => [ 'Sony Ericsson', 'W61S' ],
    'SN3E'                                 => [ 'Sony Ericsson', 'W62S' ],
    'SN3F'                                 => [ 'Sony Ericsson', 're W63S' ],
    'SN3G'                                 => [ 'Sony Ericsson', 'W64S' ],
    'SN3H'                                 => [ 'Sony Ericsson', 'Xmini W65S' ],
    'SN3I'                                 => [ 'Sony Ericsson', 'Premier3 SOY01' ],
    'SN3J'                                 => [ 'Sony Ericsson', 'S001' ],
    'SN3L'                                 => [ 'Sony Ericsson', 'BRAVIA Phone U1 SOY02' ],
    'SN3M'                                 => [ 'Sony Ericsson', 'S002' ],
    'SN3N'                                 => [ 'Sony Ericsson', 'URBANO BARONE SOY03' ],
    'SN3O'                                 => [ 'Sony Ericsson', 'S003' ],
    'SN3P'                                 => [ 'Sony Ericsson', 'S004' ],
    'SN3Q'                                 => [ 'Sony Ericsson', 'S005' ],
    'SN3R'                                 => [ 'Sony Ericsson', 'URBANO MOND SOY04' ],
    'SN3S'                                 => [ 'Sony Ericsson', 'S006' ],
    'SN3U'                                 => [ 'Sony Ericsson', 'S007' ],
    'SN3V'                                 => [ 'Sony Ericsson', 'URBANO AFFARE SOY05' ],
    'ST11'                                 => [ 'Sanyo', 'C403ST' ],
    'ST12'                                 => [ 'Sanyo', 'C411ST' ],
    'ST13'                                 => [ 'Sanyo', 'A1011ST' ],
    'ST14'                                 => [ 'Sanyo', 'A1014ST' ],
    'ST21'                                 => [ 'Sanyo', 'A5306ST' ],
    'ST23'                                 => [ 'Sanyo', 'A5405SA' ],
    'ST24'                                 => [ 'Sanyo', 'A5507SA' ],
    'ST25'                                 => [ 'Sanyo', 'talby A5508SA' ],
    'ST26'                                 => [ 'Sanyo', 'Sweets A5510SA' ],
    'ST27'                                 => [ 'Sanyo', 'A5514SA' ],
    'ST28'                                 => [ 'Sanyo', 'A5518SA' ],
    'ST29'                                 => [ 'Sanyo', 'Sweets pure A5519SA' ],
    'ST2A'                                 => [ 'Sanyo', 'A5520SA' ],
    'ST2C'                                 => [ 'Sanyo', 'Sweets cute A5524SA' ],
    'ST2D'                                 => [ 'Sanyo', 'A5525SA' ],
    'ST31'                                 => [ 'Sanyo', 'W42SA' ],
    'ST32'                                 => [ 'Sanyo', 'W53SA' ],
    'ST34'                                 => [ 'Sanyo', 'W62SA' ],
    'SY01'                                 => [ 'Sanyo', 'SCP-4000' ],
    'SY02'                                 => [ 'Sanyo', 'SCP-4500' ],
    'SY03'                                 => [ 'Sanyo', 'SCP-5000' ],
    'SY11'                                 => [ 'Sanyo', 'C304SA' ],
    'SY12'                                 => [ 'Sanyo', 'C401SA' ],
    'SY13'                                 => [ 'Sanyo', 'C405SA' ],
    'SY14'                                 => [ 'Sanyo', 'C412SA' ],
    'SY15'                                 => [ 'Sanyo', 'C1001SA' ],
    'TS01'                                 => [ 'Toshiba', 'IS02' ],
    'TS11'                                 => [ 'Toshiba', 'C301T' ],
    'TS12'                                 => [ 'Toshiba', 'C310T' ],
    'TS13'                                 => [ 'Toshiba', 'C410T' ],
    'TS14'                                 => [ 'Toshiba', 'C415T' ],
    'TS21'                                 => [ 'Toshiba', 'C5001T' ],
    'TS22'                                 => [ 'Toshiba', 'A3013T' ],
    'TS23'                                 => [ 'Toshiba', 'A5301T' ],
    'TS24'                                 => [ 'Toshiba', 'A5304T' ],
    'TS25'                                 => [ 'Toshiba', 'A1304T' ],
    'TS26'                                 => [ 'Toshiba', 'A5501T' ],
    'TS27'                                 => [ 'Toshiba', 'A5504T' ],
    'TS28'                                 => [ 'Toshiba', 'A5506T' ],
    'TS29'                                 => [ 'Toshiba', 'A5509T' ],
    'TS2A'                                 => [ 'Toshiba', 'A5511T' ],
    'TS2B'                                 => [ 'Toshiba', 'A5516T' ],
    'TS2C'                                 => [ 'Toshiba', 'A5517T' ],
    'TS2D'                                 => [ 'Toshiba', 'A5523T' ],
    'TS2E'                                 => [ 'Toshiba', 'A5529T' ],
    'TS31'                                 => [ 'Toshiba', 'W21T' ],
    'TS32'                                 => [ 'Toshiba', 'W31T' ],
    'TS33'                                 => [ 'Toshiba', 'W32T' ],
    'TS34'                                 => [ 'Toshiba', 'W41T' ],
    'TS35'                                 => [ 'Toshiba', 'neon W42T' ],
    'TS36'                                 => [ 'Toshiba', 'W43T' ],
    'TS37'                                 => [ 'Toshiba', 'W44T' ],
    'TS38'                                 => [ 'Toshiba', 'W45T' ],
    'TS39'                                 => [ 'Toshiba', 'DRAPE W46T' ],
    'TS3A'                                 => [ 'Toshiba', 'W47T' ],
    'TS3B'                                 => [ 'Toshiba', 'W51T' ],
    'TS3C'                                 => [ 'Toshiba', 'W52T' ],
    'TS3D'                                 => [ 'Toshiba', 'W53T' ],
    'TS3E'                                 => [ 'Toshiba', 'W54T' ],
    'TS3G'                                 => [ 'Toshiba', 'W55T' ],
    'TS3H'                                 => [ 'Toshiba', 'W56T' ],
    'TS3I'                                 => [ 'Toshiba', 'W61T' ],
    'TS3J'                                 => [ 'Toshiba', 'W62T' ],
    'TS3K'                                 => [ 'Toshiba', 'Sportio W63T' ],
    'TS3L'                                 => [ 'Toshiba', 'W64T' ],
    'TS3M'                                 => [ 'Toshiba', 'W65T' ],
    'TS3N'                                 => [ 'Toshiba', 'T001' ],
    'TS3O'                                 => [ 'Toshiba', 'biblio TSY01' ],
    'TS3P'                                 => [ 'Toshiba', 'T002' ],
    'TS3R'                                 => [ 'Toshiba', 'T003' ],
    'TS3S'                                 => [ 'Toshiba', 'T004' ],
    'TS3T'                                 => [ 'Toshiba', 'E08T' ],
    'TS3V'                                 => [ 'Toshiba', 'T005' ],
    'TS3X'                                 => [ 'Toshiba', 'T006' ],
    'TS3Y'                                 => [ 'Toshiba', 'T008' ],
    'TS3Z'                                 => [ 'Toshiba', 'T007' ],
    'TS41'                                 => [ 'Toshiba', 'E09F' ],
    'TSC1'                                 => [ 'Toshiba', 'D302T' ],
    'TSI1'                                 => [ 'Toshiba', '701G' ],
    'TST1'                                 => [ 'Toshiba', 'TT01' ],
    'TST2'                                 => [ 'Toshiba', 'TT02' ],
    'TST3'                                 => [ 'Toshiba', 'TT03' ],
    'TST4'                                 => [ 'Toshiba', 'TT11' ],
    'TST5'                                 => [ 'Toshiba', 'TT21' ],
    'TST6'                                 => [ 'Toshiba', 'TT22' ],
    'TST7'                                 => [ 'Toshiba', 'TT31' ],
];
